function _array_like_to_array(arr, len) {
    if (len == null || len > arr.length) len = arr.length;
    for(var i = 0, arr2 = new Array(len); i < len; i++)arr2[i] = arr[i];
    return arr2;
}
function _array_with_holes(arr) {
    if (Array.isArray(arr)) return arr;
}
function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _iterable_to_array_limit(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _s, _e;
    try {
        for(_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true){
            _arr.push(_s.value);
            if (i && _arr.length === i) break;
        }
    } catch (err) {
        _d = true;
        _e = err;
    } finally{
        try {
            if (!_n && _i["return"] != null) _i["return"]();
        } finally{
            if (_d) throw _e;
        }
    }
    return _arr;
}
function _non_iterable_rest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _sliced_to_array(arr, i) {
    return _array_with_holes(arr) || _iterable_to_array_limit(arr, i) || _unsupported_iterable_to_array(arr, i) || _non_iterable_rest();
}
function _unsupported_iterable_to_array(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _array_like_to_array(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(n);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _array_like_to_array(o, minLen);
}
import { genStyleHooks } from "../../Hooks/useStyle";
export var prefixCls = 'top-operating-area';
// 样式生成函数
var genTopOperatingAreaStyle = function genTopOperatingAreaStyle(token) {
    var _obj;
    return _define_property({}, token.componentCls, (_obj = {
        position: 'relative',
        display: 'grid',
        gridTemplateColumns: '1fr auto 1fr',
        alignItems: 'center',
        height: 32,
        marginBottom: 8,
        width: '100%'
    }, _define_property(_obj, '&-left', {
    }), _define_property(_obj, '&-center', _define_property({
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        gridColumn: 2
    }, '&-buttons', {
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        gap: token.marginXS,
        height: '100%'
    })), _define_property(_obj, '&-right', {
        display: 'flex',
        alignItems: 'center',
        gap: token.marginXS,
        justifyContent: 'flex-end',
        gridColumn: 3,
        minWidth: 40
    }), _define_property(_obj, '&-back-buttons', {
        display: 'flex',
        alignItems: 'center',
        gap: 4,
        transition: 'opacity 0.3s ease',
        // 显示状态
        '&-visible': {
            visibility: 'visible',
            opacity: 1
        },
        // 隐藏状态
        '&-hidden': {
            visibility: 'hidden',
            opacity: 0
        }
    }), _obj));
};
var useGenStyle = genStyleHooks('TopOperatingArea', genTopOperatingAreaStyle);
export var useStyle = function useStyle(customPrefixCls) {
    var _useGenStyle = _sliced_to_array(useGenStyle(customPrefixCls), 2), wrapSSR = _useGenStyle[0], hashId = _useGenStyle[1];
    return {
        wrapSSR: wrapSSR,
        hashId: hashId
    };
};
